#!/usr/bin/env zsh

local i3lock_args=()
let image_index=1

for arg; do
    case "${arg}"; in
    --no-empty-pass|-e)
        i3lock_args+=(-e)
        image_index+=1
        ;;
    esac
done

dunstctl set-paused true
xset dpms 0 0 15
i3lock ${i3lock_args} -n -i "${@[${image_index}]}"
xset -dpms
dunstctl set-paused false
